summaryrefslogtreecommitdiff
path: root/catgets/test-gencat.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2001-03-10 07:18:40 +0000
committerUlrich Drepper <drepper@redhat.com>2001-03-10 07:18:40 +0000
commitf79bdc33c766b53cf3169c62e386a68d061b71b6 (patch)
tree7cdc4e491bcec08bad42f12b3496fb1481b6fdd0 /catgets/test-gencat.sh
parent9d37acc448829617958efd030cb33555895b5fcd (diff)
Update.
2001-03-09 Ulrich Drepper <drepper@redhat.com> * catgets/Makefile (generated): Add test-gencat.h. (sample.SJIS.cat): Also generate header. * catgets/sample.SJIS: Add new set and message, both with symbolic names. * catgets/test-gencat.sh: Also compare generated header with what we expect. 2001-03-07 Jakub Jelinek <jakub@redhat.com> * catgets/gencat.c (read_input_file): Preserve properly symbolic names. 2001-03-06 Andreas Jaeger <aj@suse.de> * sysdeps/s390/dl-machine.h (elf_machine_relplt): Removed, it's not needed. (elf_machine_pltrel_p): Likewise. * sysdeps/powerpc/dl-machine.h: Likewise. * sysdeps/generic/dl-machine.h (elf_machine_pltrel_p): Likewise. 2001-03-09 Ulrich Drepper <drepper@redhat.com> * sysdeps/unix/sysv/linux/arm/Dist: Add dl-procinfo.c and dl-procinfo.h. 2001-03-05 Philip Blundell <philb@gnu.org> * sysdeps/unix/sysv/linux/arm/dl-procinfo.c: New file. * sysdeps/unix/sysv/linux/arm/dl-procinfo.h: New file. * sysdeps/unix/sysv/linux/arm/Makefile [subdir=elf] (sysdep-dl-routines, sysdep_routines, sysdep-rtld-routines): Add dl-procinfo. 2001-03-09 Ulrich Drepper <drepper@redhat.com> * dlfcn/tstatexit.c (main): Don't perform the test if __dso_handle is not available. * dlfcn/tstcxaatexit.c (main): Likewise.
Diffstat (limited to 'catgets/test-gencat.sh')
-rwxr-xr-xcatgets/test-gencat.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/catgets/test-gencat.sh b/catgets/test-gencat.sh
index 99de335c76..d30c6a6f5e 100755
--- a/catgets/test-gencat.sh
+++ b/catgets/test-gencat.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# Test escape character handling in gencat.
-# Copyright (C) 2000 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2001 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
#
# The GNU C Library is free software; you can redistribute it and/or
@@ -36,5 +36,12 @@ sample3:予定表:
sample4:TEST TAB:
sample5:機能 十種類:
EOF
+res=$?
-exit $?
+cat <<EOF |
+#define AnotherSet 0x2 /* *standard input*:11 */
+#define AnotherFOO 0x1 /* *standard input*:12 */
+EOF
+cmp ${common_objpfx}catgets/test-gencat.h - || res=1
+
+exit $res